=== debian/changelog ===
qtcreator (6.0.2-2build1) jammy; urgency=medium

  * No-change rebuild against Qt 5.15.3.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 19 Mar 2022 17:59:20 +0300

qtcreator (6.0.2-2) unstable; urgency=medium

  * Team upload.
  * Backport upstream commit 8acd2b15a9f12ba7de7281e6617963543a96056e to disable
    the build of the QmlDesigner plugin with Qt < 6.2.0; qtcreator is currently
    build with Qt 5, and that plugin fails to build on 32bit architectures;
    patch upstream_Disable-QmlDesigner-plugin-for-Qt-5-based-builds.patch.

 -- Pino Toscano <pino@debian.org>  Wed, 19 Jan 2022 21:13:01 +0100

qtcreator (6.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * The rebuild will use the current LLVM. (Closes: #1003453)

 -- Pino Toscano <pino@debian.org>  Wed, 19 Jan 2022 20:08:13 +0100

qtcreator (6.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - yaml-cpp_empty_includedir.diff: drop, fixed upstream
  * Suggest python3-pylsp, as it contains the Python language server optionally
    used by the Python plugin.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Dec 2021 20:44:53 +0100

qtcreator (6.0.0-2) unstable; urgency=medium

  * Team upload.
  * Pass -DWITH_TESTS=OFF -DBUILD_TESTING=OFF to really disable all the tests,
    including the ones of bundled libraries.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Dec 2021 20:21:42 +0100

qtcreator (6.0.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Switch watch file back to stable releases.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Dec 2021 19:29:22 +0100

qtcreator (6.0.0~rc1-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 5.0.3-2.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Nov 2021 11:32:15 +0100

qtcreator (6.0.0~rc1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Merge changes from 5.0.3-1.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Nov 2021 06:22:06 +0100

qtcreator (6.0.0~beta2-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Oct 2021 20:57:14 +0200

qtcreator (6.0.0~beta1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Switch watch file to the unstable releases, mangling -beta/-rc in the
    version.
  * Switch Vcs-* fields to the 'experimental' packaging branch.

 -- Pino Toscano <pino@debian.org>  Thu, 14 Oct 2021 20:45:24 +0200

qtcreator (5.0.3-2) unstable; urgency=medium

  * Team upload.
  * Do not assume that ${YAML_CPP_INCLUDE_DIR} (from the CMake config files of
    yaml-cpp) is not empty; patch yaml-cpp_empty_includedir.diff.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Nov 2021 07:39:18 +0100

qtcreator (5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Nov 2021 19:05:40 +0100

qtcreator (5.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * The rebuild will use the newer LLVM 11. (Closes: #995228)

 -- Pino Toscano <pino@debian.org>  Fri, 01 Oct 2021 19:40:38 +0200

qtcreator (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Sep 2021 08:04:14 +0200

qtcreator (5.0.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Switch watch file back to stable releases.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 26 Aug 2021 20:32:28 +0200

qtcreator (5.0.0~rc1-1) experimental; urgency=medium

  * Team upload.
  * New upstream development release.
  * Switch watch file to the unstable releases, mangling -beta/-rc in the
    version.
  * Update the patches:
    - debian_paths.diff: refresh

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 07:06:57 +0200

qtcreator (4.15.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - debian_paths.diff: refresh

 -- Pino Toscano <pino@debian.org>  Sun, 15 Aug 2021 15:45:36 +0200
