=== debian/watch ===
version=4
https://download.qt.io/official_releases/qtcreator/([\d\.]*)/([\d\.]*)/qt-creator-opensource-src-([^-]*)\.tar\.xz
